(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('bmi-ui-core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define('bmi-message-widget', ['exports', '@angular/core', 'bmi-ui-core', '@angular/common'], factory) :
	(factory((global['bmi-message-widget'] = {}),global.ng.core,global.bmiUiCore,global.ng.common));
}(this, (function (exports,core,bmiUiCore,common) { 'use strict';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.
See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */
var extendStatics = Object.setPrototypeOf ||
    ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
    function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var MessageContentComponent = /** @class */ (function (_super) {
    __extends(MessageContentComponent, _super);
    function MessageContentComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(MessageContentComponent.prototype, "message", {
        get: function () { return this.config.getParam('message'); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "name", {
        get: function () { return 'Message'; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "description", {
        get: function () { return 'Displays a configurable message'; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "type", {
        get: function () { return bmiUiCore.ContentType.NOTIFICATION; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "theme", {
        get: function () { return bmiUiCore.ContentTheme.default; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "configurationOptions", {
        get: function () {
            return [
                new bmiUiCore.ContentConfigOption('message', 'Message', bmiUiCore.ContentConfigOptionType.text, false, [], 'The message to display in the widget')
            ];
        },
        enumerable: true,
        configurable: true
    });
    MessageContentComponent.prototype.reflow = function () {
        if (this.debugging)
            console.debug(this.componentName + " :: reflow()");
    };
    MessageContentComponent.prototype.refresh = function () {
        if (this.debugging)
            console.debug(this.componentName + " :: refresh()");
    };
    return MessageContentComponent;
}(bmiUiCore.ContentComponent));
MessageContentComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'content-message',
                template: "<div class=\"message-container\">\n  <h1>{{message}}</h1>\n</div>",
                styles: [".message-container{padding:10.5px}"],
                providers: [{ provide: bmiUiCore.ContentComponent, useExisting: core.forwardRef(function () { return MessageContentComponent; }) }]
            },] },
];
var MessageContentModule = /** @class */ (function () {
    function MessageContentModule() {
    }
    return MessageContentModule;
}());
MessageContentModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    common.CommonModule,
                    bmiUiCore.UiCoreModule
                ],
                declarations: [
                    MessageContentComponent,
                ],
                entryComponents: [
                    MessageContentComponent,
                ],
                exports: [
                    bmiUiCore.UiCoreModule,
                    MessageContentComponent,
                ]
            },] },
];

exports.MessageContentModule = MessageContentModule;
exports.MessageContentComponent = MessageContentComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=bmi-message-widget.umd.js.map
