import { Component, forwardRef, NgModule } from '@angular/core';
import { ContentComponent, ContentConfigOption, ContentType, ContentTheme, ContentConfigOptionType, UiCoreModule } from 'bmi-ui-core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class MessageContentComponent extends ContentComponent {
    /**
     * @return {?}
     */
    get message() { return this.config.getParam('message'); }
    /**
     * @return {?}
     */
    get name() { return 'Message'; }
    /**
     * @return {?}
     */
    get description() { return 'Displays a configurable message'; }
    /**
     * @return {?}
     */
    get type() { return ContentType.NOTIFICATION; }
    /**
     * @return {?}
     */
    get theme() { return ContentTheme.default; }
    /**
     * @return {?}
     */
    get configurationOptions() {
        return [
            new ContentConfigOption('message', 'Message', ContentConfigOptionType.text, false, [], 'The message to display in the widget')
        ];
    }
    /**
     * @return {?}
     */
    reflow() {
        if (this.debugging)
            console.debug(`${this.componentName} :: reflow()`);
    }
    ;
    /**
     * @return {?}
     */
    refresh() {
        if (this.debugging)
            console.debug(`${this.componentName} :: refresh()`);
    }
}
MessageContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'content-message',
                template: `<div class="message-container">
  <h1>{{message}}</h1>
</div>`,
                styles: [`.message-container{padding:10.5px}`],
                providers: [{ provide: ContentComponent, useExisting: forwardRef(() => MessageContentComponent) }]
            },] },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class MessageContentModule {
}
MessageContentModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    UiCoreModule
                ],
                declarations: [
                    MessageContentComponent,
                ],
                entryComponents: [
                    MessageContentComponent,
                ],
                exports: [
                    UiCoreModule,
                    MessageContentComponent,
                ]
            },] },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { MessageContentModule, MessageContentComponent };
//# sourceMappingURL=bmi-message-widget.js.map
