import { __extends } from 'tslib';
import { Component, forwardRef, NgModule } from '@angular/core';
import { ContentComponent, ContentConfigOption, ContentType, ContentTheme, ContentConfigOptionType, UiCoreModule } from 'bmi-ui-core';
import { CommonModule } from '@angular/common';

var MessageContentComponent = /** @class */ (function (_super) {
    __extends(MessageContentComponent, _super);
    function MessageContentComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(MessageContentComponent.prototype, "message", {
        get: function () { return this.config.getParam('message'); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "name", {
        get: function () { return 'Message'; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "description", {
        get: function () { return 'Displays a configurable message'; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "type", {
        get: function () { return ContentType.NOTIFICATION; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "theme", {
        get: function () { return ContentTheme.default; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageContentComponent.prototype, "configurationOptions", {
        get: function () {
            return [
                new ContentConfigOption('message', 'Message', ContentConfigOptionType.text, false, [], 'The message to display in the widget')
            ];
        },
        enumerable: true,
        configurable: true
    });
    MessageContentComponent.prototype.reflow = function () {
        if (this.debugging)
            console.debug(this.componentName + " :: reflow()");
    };
    
    MessageContentComponent.prototype.refresh = function () {
        if (this.debugging)
            console.debug(this.componentName + " :: refresh()");
    };
    return MessageContentComponent;
}(ContentComponent));
MessageContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'content-message',
                template: "<div class=\"message-container\">\n  <h1>{{message}}</h1>\n</div>",
                styles: [".message-container{padding:10.5px}"],
                providers: [{ provide: ContentComponent, useExisting: forwardRef(function () { return MessageContentComponent; }) }]
            },] },
];
var MessageContentModule = /** @class */ (function () {
    function MessageContentModule() {
    }
    return MessageContentModule;
}());
MessageContentModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    UiCoreModule
                ],
                declarations: [
                    MessageContentComponent,
                ],
                entryComponents: [
                    MessageContentComponent,
                ],
                exports: [
                    UiCoreModule,
                    MessageContentComponent,
                ]
            },] },
];

export { MessageContentModule, MessageContentComponent };
//# sourceMappingURL=bmi-message-widget.js.map
